-- UC_ENT_Policies
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,						Kind)
VALUES	('POLICY_JNR_HASTILUDE',	'KIND_POLICY'),
		('POLICY_JNR_STATE_FAIRS',	'KIND_POLICY'),
		('POLICY_JNR_RED_LIST',		'KIND_POLICY');
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
UPDATE Policies SET Description='LOC_POLICY_SPORTS_MEDIA_DESCRIPTION_JNR_UC' WHERE PolicyType='POLICY_SPORTS_MEDIA';

INSERT OR IGNORE INTO Policies
		(PolicyType,				Name,								Description,								PrereqCivic,				GovernmentSlotType)
VALUES	('POLICY_JNR_HASTILUDE',	'LOC_POLICY_JNR_HASTILUDE_NAME',	'LOC_POLICY_JNR_HASTILUDE_DESCRIPTION',		'CIVIC_MEDIEVAL_FAIRES',	'SLOT_MILITARY'),
		('POLICY_JNR_STATE_FAIRS',	'LOC_POLICY_JNR_STATE_FAIRS_NAME',	'LOC_POLICY_JNR_STATE_FAIRS_DESCRIPTION',	'CIVIC_CULTURAL_HERITAGE',	'SLOT_ECONOMIC'),
		('POLICY_JNR_RED_LIST',		'LOC_POLICY_JNR_RED_LIST_NAME',		'LOC_POLICY_JNR_RED_LIST_DESCRIPTION',		'CIVIC_CONSERVATION',		'SLOT_ECONOMIC');
		
UPDATE Policies SET Description='LOC_POLICY_JNR_RED_LIST_DESCRIPTION_PRESERVE' WHERE PolicyType='POLICY_JNR_RED_LIST' AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType,												SubjectRequirementSetId)
VALUES	('SPORTSMEDIA_AQUATICENTERTAINMENT_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'BUILDING_IS_AQUATIC_CENTER_JNR'),
		('HASTILUDE_ENTERTAINMENT_LAND_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'CITY_HAS_LAND_ENTERTAINMENT_JNR'),
		('HASTILUDE_ENTERTAINMENT_WATER_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'CITY_HAS_WATER_ENTERTAINMENT_JNR'),
		('HASTILUDE_ADJACENCY_LAND_JNR',			'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE',			'DISTRICT_IS_ENTERTAINMENT_COMPLEX_JNR'),
		('HASTILUDE_ADJACENCY_WATER_JNR',			'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE',			'DISTRICT_IS_WATER_PARK_JNR'),
		('STATEFAIRS_DISTRICTTOURISM_JNR',			'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_MODIFIER',			'DISTRICT_IS_ENTERTAINMENT_COMPLEX_JNR'),
		('STATEFAIRS_DISTRICTTOURISM_WATER_JNR',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_MODIFIER',			'DISTRICT_IS_WATER_PARK_JNR'),
		('STATEFAIRS_THEMEPARK_ENTERTAINMENT_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'BUILDING_IS_CONVENTION_JNR'),
		('STATEFAIRS_FOODCOURT_ENTERTAINMENT_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'BUILDING_IS_CRUISE_TERMINAL_JNR'),
		('REDLIST_ENTERTAINMENT_LAND_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'BUILDING_IS_ENTERTAINMENT_TIER2_LAND_JNR'),
		('REDLIST_ENTERTAINMENT_WATER_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'BUILDING_IS_AQUARIUM_JNR'),
		('REDLIST_SCIENCE_ZOO_JNR',					'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'ENTERTAINMENT_COMPLEX_HAS_HIGH_ADJACENCY_JNR'),
		('REDLIST_SCIENCE_BOTANICAL_GARDEN_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'ENTERTAINMENT_COMPLEX_HAS_HIGH_ADJACENCY_JNR'),
		('REDLIST_SCIENCE_AQUARIUM_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'WATER_PARK_HAS_HIGH_ADJACENCY_JNR'),
		('REDLIST_SCIENCE_MARITIME_MUSEUM_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'WATER_PARK_HAS_HIGH_ADJACENCY_JNR'),
		('REDLIST_CULTURE_ZOO_JNR',					'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'CITY_HAS_HIGH_POPULATION'),
		('REDLIST_CULTURE_BOTANICAL_GARDEN_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'CITY_HAS_HIGH_POPULATION'),
		('REDLIST_CULTURE_AQUARIUM_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'CITY_HAS_HIGH_POPULATION'),
		('REDLIST_CULTURE_MARITIME_MUSEUM_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',		'CITY_HAS_HIGH_POPULATION');

UPDATE Modifiers SET SubjectRequirementSetId='CITY_HAS_PRESERVE_JNR'						WHERE ModifierId='REDLIST_SCIENCE_ZOO_JNR'				AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Modifiers SET SubjectRequirementSetId='CITY_HAS_PRESERVE_JNR'						WHERE ModifierId='REDLIST_SCIENCE_BOTANICAL_GARDEN_JNR'	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Modifiers SET SubjectRequirementSetId='CITY_HAS_PRESERVE_JNR'						WHERE ModifierId='REDLIST_SCIENCE_AQUARIUM_JNR'			AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Modifiers SET SubjectRequirementSetId='CITY_HAS_PRESERVE_JNR'						WHERE ModifierId='REDLIST_SCIENCE_MARITIME_MUSEUM_JNR'	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
		
UPDATE Modifiers SET SubjectRequirementSetId='ENTERTAINMENT_COMPLEX_HAS_HIGH_ADJACENCY_JNR'	WHERE ModifierId='REDLIST_CULTURE_ZOO_JNR'				AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Modifiers SET SubjectRequirementSetId='ENTERTAINMENT_COMPLEX_HAS_HIGH_ADJACENCY_JNR'	WHERE ModifierId='REDLIST_CULTURE_BOTANICAL_GARDEN_JNR'	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Modifiers SET SubjectRequirementSetId='WATER_PARK_HAS_HIGH_ADJACENCY_JNR'			WHERE ModifierId='REDLIST_CULTURE_AQUARIUM_JNR'			AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Modifiers SET SubjectRequirementSetId='WATER_PARK_HAS_HIGH_ADJACENCY_JNR'			WHERE ModifierId='REDLIST_CULTURE_MARITIME_MUSEUM_JNR'	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,			Value)
VALUES	('SPORTSMEDIA_AQUATICENTERTAINMENT_JNR',	'Amount',		1),
		('HASTILUDE_ENTERTAINMENT_LAND_JNR',		'Amount',		1),
		('HASTILUDE_ENTERTAINMENT_WATER_JNR',		'Amount',		1),
		('HASTILUDE_ADJACENCY_LAND_JNR',			'YieldType',	'YIELD_GOLD'),
		('HASTILUDE_ADJACENCY_LAND_JNR',			'Amount',		1),
		('HASTILUDE_ADJACENCY_WATER_JNR',			'YieldType',	'YIELD_GOLD'),
		('HASTILUDE_ADJACENCY_WATER_JNR',			'Amount',		1),
		('STATEFAIRS_DISTRICTTOURISM_JNR',			'YieldType',	'YIELD_GOLD'),
		('STATEFAIRS_DISTRICTTOURISM_JNR',			'Amount',		100),
		('STATEFAIRS_DISTRICTTOURISM_WATER_JNR',	'YieldType',	'YIELD_GOLD'),
		('STATEFAIRS_DISTRICTTOURISM_WATER_JNR',	'Amount',		100),
		('STATEFAIRS_THEMEPARK_ENTERTAINMENT_JNR',	'Amount',		1),
		('STATEFAIRS_FOODCOURT_ENTERTAINMENT_JNR',	'Amount',		1),
		('REDLIST_ENTERTAINMENT_LAND_JNR',			'Amount',		1),
		('REDLIST_ENTERTAINMENT_WATER_JNR',			'Amount',		1),
		('REDLIST_SCIENCE_ZOO_JNR',					'BuildingType',	'BUILDING_ZOO'),
		('REDLIST_SCIENCE_BOTANICAL_GARDEN_JNR',	'BuildingType',	'BUILDING_JNR_BOTANICAL_GARDEN'),
		('REDLIST_SCIENCE_AQUARIUM_JNR',			'BuildingType',	'BUILDING_AQUARIUM'),
		('REDLIST_SCIENCE_MARITIME_MUSEUM_JNR',		'BuildingType',	'BUILDING_JNR_CASINO'),
		('REDLIST_SCIENCE_ZOO_JNR',					'YieldType',	'YIELD_SCIENCE'),
		('REDLIST_SCIENCE_BOTANICAL_GARDEN_JNR',	'YieldType',	'YIELD_SCIENCE'),
		('REDLIST_SCIENCE_AQUARIUM_JNR',			'YieldType',	'YIELD_SCIENCE'),
		('REDLIST_SCIENCE_MARITIME_MUSEUM_JNR',		'YieldType',	'YIELD_SCIENCE'),
		('REDLIST_SCIENCE_ZOO_JNR',					'Amount',		1),
		('REDLIST_SCIENCE_BOTANICAL_GARDEN_JNR',	'Amount',		1),
		('REDLIST_SCIENCE_AQUARIUM_JNR',			'Amount',		1),
		('REDLIST_SCIENCE_MARITIME_MUSEUM_JNR',		'Amount',		1),
		('REDLIST_CULTURE_ZOO_JNR',					'BuildingType',	'BUILDING_ZOO'),
		('REDLIST_CULTURE_BOTANICAL_GARDEN_JNR',	'BuildingType',	'BUILDING_JNR_BOTANICAL_GARDEN'),
		('REDLIST_CULTURE_AQUARIUM_JNR',			'BuildingType',	'BUILDING_AQUARIUM'),
		('REDLIST_CULTURE_MARITIME_MUSEUM_JNR',		'BuildingType',	'BUILDING_JNR_CASINO'),
		('REDLIST_CULTURE_ZOO_JNR',					'YieldType',	'YIELD_CULTURE'),
		('REDLIST_CULTURE_BOTANICAL_GARDEN_JNR',	'YieldType',	'YIELD_CULTURE'),
		('REDLIST_CULTURE_AQUARIUM_JNR',			'YieldType',	'YIELD_CULTURE'),
		('REDLIST_CULTURE_MARITIME_MUSEUM_JNR',		'YieldType',	'YIELD_CULTURE'),
		('REDLIST_CULTURE_ZOO_JNR',					'Amount',		1),
		('REDLIST_CULTURE_BOTANICAL_GARDEN_JNR',	'Amount',		1),
		('REDLIST_CULTURE_AQUARIUM_JNR',			'Amount',		1),
		('REDLIST_CULTURE_MARITIME_MUSEUM_JNR',		'Amount',		1);
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,				ModifierId)
VALUES	('POLICY_SPORTS_MEDIA',		'SPORTSMEDIA_AQUATICENTERTAINMENT_JNR'),
		('POLICY_JNR_HASTILUDE',	'HASTILUDE_ENTERTAINMENT_LAND_JNR'),
		('POLICY_JNR_HASTILUDE',	'HASTILUDE_ENTERTAINMENT_WATER_JNR'),
		('POLICY_JNR_HASTILUDE',	'HASTILUDE_ADJACENCY_LAND_JNR'),
		('POLICY_JNR_HASTILUDE',	'HASTILUDE_ADJACENCY_WATER_JNR'),
		('POLICY_JNR_STATE_FAIRS',	'STATEFAIRS_DISTRICTTOURISM_JNR'),
		('POLICY_JNR_STATE_FAIRS',	'STATEFAIRS_DISTRICTTOURISM_WATER_JNR'),
		('POLICY_JNR_STATE_FAIRS',	'STATEFAIRS_THEMEPARK_ENTERTAINMENT_JNR'),
		('POLICY_JNR_STATE_FAIRS',	'STATEFAIRS_FOODCOURT_ENTERTAINMENT_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_ENTERTAINMENT_LAND_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_ENTERTAINMENT_WATER_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_SCIENCE_ZOO_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_SCIENCE_BOTANICAL_GARDEN_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_SCIENCE_AQUARIUM_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_CULTURE_ZOO_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_CULTURE_BOTANICAL_GARDEN_JNR'),
		('POLICY_JNR_RED_LIST',		'REDLIST_CULTURE_AQUARIUM_JNR');
--------------------------------------------------------------